Bug 29172 - [V8] OwnHandle might get a weak callback after destruction
Summary: [V8] OwnHandle might get a weak callback after destruction
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-11 01:33 PDT by Adam Barth
Modified: 2009-09-17 13:00 PDT (History)
3 users (show)

See Also:


Attachments
Patch v1 (1.73 KB, patch)
2009-09-11 01:37 PDT, Adam Barth
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Barth 2009-09-11 01:33:57 PDT
Be sure to clear our weak reference when we clear the OwnHandle to make sure we don't get a callback after we've destructed ourselves.
Comment 1 Adam Barth 2009-09-11 01:37:07 PDT
Created attachment 39416 [details]
Patch v1
Comment 2 Eric Seidel (no email) 2009-09-11 16:50:50 PDT
Comment on attachment 39416 [details]
Patch v1

Was this causing crashes?  Is this a testable change?
Comment 3 Adam Barth 2009-09-11 17:02:31 PDT
I don't know of any crashes that this causes.  This class currently has only one client.  I don't think it's testable currently.
Comment 4 Eric Seidel (no email) 2009-09-15 23:03:14 PDT
Comment on attachment 39416 [details]
Patch v1

You ChangeLog should mention that it's not testable.
Comment 5 WebKit Commit Bot 2009-09-17 12:59:58 PDT
Comment on attachment 39416 [details]
Patch v1

Clearing flags on attachment: 39416

Committed r48486: <http://trac.webkit.org/changeset/48486>
Comment 6 WebKit Commit Bot 2009-09-17 13:00:05 PDT
All reviewed patches have been landed.  Closing bug.